<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Clientedespacho{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idzona){
	$sql="INSERT INTO persona (tipo_persona,nombre,tipo_documento,num_documento,direccion,telefono,email,licencia_licor,agenteretencion,nombred,tipo_documentod,num_documentod,direcciond,telefonod,emaild,licencia_licord,resenaendollar,idlistaprecio,idzona) VALUES ('$tipo_persona','$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$licencia_licor','$contribuyente','$nombred','$tipo_documentod','$num_documentod','$direcciond','$telefonod','$emaild','$licencia_licord','$resenaendollar','$idlistaprecio','$idzona')";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function editar($idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$licencia_licor,$contribuyente,$nombred,$tipo_documentod,$num_documentod,$direcciond,$telefonod,$emaild,$licencia_licord,$resenaendollar,$idlistaprecio,$idzona){
	$sql="UPDATE persona SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email',licencia_licor='$licencia_licor',agenteretencion='$contribuyente', nombred='$nombred',tipo_documentod='$tipo_documentod',num_documentod='$num_documentod',direcciond='$direcciond',telefonod='$telefonod',emaild='$emaild',licencia_licord='$licencia_licord',resenaendollar='$resenaendollar',idlistaprecio='$idlistaprecio',idzona='$idzona'	 
	WHERE idpersona='$idpersona'";
	//echo $sql;
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idpersona){
	$sql="DELETE FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpersona){
	$sql="SELECT * FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM persona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarclienteid($idpersona){
	$sql="SELECT p.*, v.idvendedor, v.nombre FROM persona p LEFT JOIN vendedor v ON v.idzona=p.idzona WHERE idpersona='$idpersona'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM persona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
